Skip to main content
GET
Search folders

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

A cursor token for pagination. Use the value from the previous response's paging.next.after field.

before
string

A cursor token for pagination. Use the value from the previous response's paging.prev.before field.

createdAt
string<date-time>

Filter folders created at this exact epoch timestamp.

createdAtGte
string<date-time>

Filter results where the creation date is greater than or equal to this epoch timestamp.

createdAtLte
string<date-time>

Filter results to folders created before or at this epoch timestamp.

idGte
integer<int64>

Filter results to include only folders with IDs greater than or equal to this value.

idLte
integer<int64>

Filter to include folders with IDs less than or equal to this value.

ids
integer<int64>[]

A list of folder IDs to filter the results.

limit
integer<int32>

The maximum number of results to display per page.

name
string

Filter folders by this name.

parentFolderIds
integer<int64>[]

A list of parent folder IDs to filter the results.

path
string

Filter results to folders with this specific path.

properties
string[]

A list of property names to include in the response.

sort
string[]

A list of property names to sort by in the response.

updatedAt
string<date-time>

Filter results to include only folders updated at this exact epoch timestamp.

updatedAtGte
string<date-time>

Filter results to folders updated at or after this epoch timestamp.

updatedAtLte
string<date-time>

Filter folders updated at or before this epoch timestamp.

Response

successful operation

results
object[]
required

An array of folder objects, each representing a folder within the file manager.

paging
object

Represents the pagination information for navigating through a list of results in the API. It provides details on how to access the previous or next set of results.

Last modified on September 15, 2026